Bug 447222 - metacity hangs when logging into Gnome
metacity hangs when logging into Gnome
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
11
i386 Linux
low Severity high
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-18 18:17 EDT by Lonni J Friedman
Modified: 2010-06-28 06:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:37:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from running 'startx' (6.73 KB, text/plain)
2008-05-18 18:17 EDT, Lonni J Friedman
no flags Details
Xorg.0.log (33.52 KB, text/plain)
2008-05-25 18:34 EDT, Lonni J Friedman
no flags Details
xorg.conf (2.65 KB, application/octet-stream)
2008-05-25 18:34 EDT, Lonni J Friedman
no flags Details

  None (edit)
Description Lonni J Friedman 2008-05-18 18:17:10 EDT
Description of problem:
All attempts to start X with Gnome as the default result in the session
stalling.  It gets as far as displaying the background image, and playing the
login music, and then nothing else (no menus, panels, etc).

How reproducible:
100% of the time when starting X

Steps to Reproduce:
1. Run 'startx' with Gnome as the default
2.
3.
  
Actual results:
All attempts to start X with Gnome as the default result in the session
stalling.  It gets as far as displaying the background image, and playing the
login music, and then nothing else (no menus, panels, etc).

Expected results:
Login process completes, panels, menus, icons, etc appear.

Additional info:
Comment 1 Lonni J Friedman 2008-05-18 18:17:10 EDT
Created attachment 305879 [details]
output from running 'startx'
Comment 2 Vesa Ruokonen 2008-05-19 07:43:21 EDT
I had the same problem after upgrade from Fedora 7 to 9. It's problem with
changed font paths and not really metacity. Corrected here with xorg.conf update;
	FontPath	"catalogue:/etc/X11/fontpath.d"
Comment 3 Lonni J Friedman 2008-05-25 18:34:10 EDT
Created attachment 306632 [details]
Xorg.0.log
Comment 4 Lonni J Friedman 2008-05-25 18:34:35 EDT
Created attachment 306633 [details]
xorg.conf
Comment 5 Lonni J Friedman 2008-05-25 18:35:03 EDT
Thanks, but adding that entry to xorg.conf had no impact.  I'm still seeing the
same metacity crash+backtrace.
Comment 6 Bug Zapper 2009-06-09 20:58:54 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Linus Torvalds 2009-06-20 20:01:55 EDT
I think I'm seeing this problem too, and it is very timing-dependent.

That may be why Vesa Ruokonen thought it was impacted by fontpaths.

For me, it only happens 
 - occasionally
 - on a fast machine with multiple CPU's
 - when using the vesafb driver, or Nouveau unaccelerated

The last is why I'm so sure it's timing-dependent: if I don't have the nouveau kernel modules built, or they are for the wrong version, X will fall back to unaccelerated mode, and the fade-in of the new background will be very noticeable, and very choppy.

And that's when metacity sometimes then hangs for me. Exact same behavior as Lonni J Friedman: it does the background change, it plays the welcoming music, adn that's all it ever does. No panels ever show up, and no icons.

Occasionally, an applet notification ("connected to network" etc) may show up, but that doesn't make the system any more useful.

Once it starts happening, it happens every time. I can kill X, and let it restart, and it will still show the same bug. But sometime it just works on the first try after a reboot, and I suspect that some disk IO for loading metacity or something changed timing enough to get it past this phase.

With accelerated X, it never happens, so I suspect it's some race where X being slow to respond makes the likelihood of happening much larger.

This is with Fedora-11 up-to-date as of today, so it's all in the most modern version.

I can probably re-create it fairly easily, so if you have suggestions for debug flags to test, let me know.
Comment 8 Bug Zapper 2009-07-14 12:27:22 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Linus Torvalds 2009-07-14 12:39:17 EDT
As mentioned, I saw this on Fedora-11 as of June 2007.

So it's not a Fedora-9 issue. Sadly, I can't seem to re-open it, as I'm not the original bug-reporter.
Comment 10 Linus Torvalds 2009-07-14 12:39:58 EDT
Sorry. I meant June 2009, of course. It's not two years old.
Comment 11 Lonni J Friedman 2009-07-14 12:44:34 EDT
I'll happily re-open it.
Comment 12 Owen Taylor 2009-11-16 15:35:39 EST
The original bug is pretty clearly the same as bug 446576, which was marked as a duplicate of bug 430416. It doesn't look apparent to me that bug 430416 could cause intermittent hangs, and in fact the original problem wasn't described as intermittent.

Information that would be needed here:

 - Is the machine with F11 on it an upgrade from earlier versions of Fedora (before F9, say)?
 - Is there an Xorg.conf - if so, can you attach it?
 - is xfs running? - when things break, does restarting xfs help
 - Does the ~/.xsession-errors produced look like the original xsession-errors with the BadName error

If there are no BadName errors and xfs is not configured to be used then it's probably unrelated to the original problem. Without a firm reproducer (other than get a really fast machine and try a bunch) it's going to be pretty hard to track down what is going on.

If someone gets the machine into the broken state, the things to try would be:

 - Is any process running at 100% cpu
 - Does killing processes sequentially unfreeze the session (start off with stuff like nautilus, gnome-panel instead of critical stuff like gnome-session that will just cause the session to quit
Comment 13 Bug Zapper 2010-04-27 08:03:46 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2010-06-28 06:37:14 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.